<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="ui-g" style="background-color: white">
        <div class="ui-g-12" style="border: solid 1px black ">
            <div class="ui-g" *ngIf="prospectOrganization?.organization">
                <div class="ui-g-12">
                    <div class="ui-g">
                        <div class="ui-g-4">
                            {{'mpmApp.organization.name'|translate}} : {{prospectOrganization.organization.name}}
                        </div>
                        <div class="ui-g-4">
                            {{'mpmApp.organization.address1'|translate}} : {{prospectOrganization.organization.postalAddress.description}}
                        </div>
                        <div class="ui-g-4">
                            {{'mpmApp.prospectOrganization.PICName'|translate}} : {{prospectOrganization.pic.name}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- <div div class="ui-g-12">
            <button (click)="lanjutSUR()" pButton type="button" label="{{'entity.action.proceed' | translate}}" class="ui-button-primary btn-sm">
                </button>
        </div> -->
        <!-- {{prospectOrganizationDetailsGrid}} -->
        <br>
        <div class="ui-g-12" *ngIf="details">
            <div div class="ui-g-12">
                <button (click)="lanjutSUR()" pButton type="button" label="{{'entity.action.process' | translate}}" class="ui-button-primary btn-sm">
                    </button>
            </div>
            <h5>
                <span jhiTranslate="mpmApp.prospectOrganizationDetails.home.title">Prospect Organization Details</span>
            </h5>
            <p-dataTable 
                    [value]="prospectOrganizationDetails" 
                    [editable]="true" 
                    [rows]="itemsPerPage" 
                    [paginator]="true" 
                    [pageLinks]="5" 
                    [rowsPerPageOptions]="[10,15,20]" 
                    [totalRecords]="totalItems" 
                    [responsive]="true" 
                    dataKey="idProspectOrganizationDetail" 
                    expandableRows="false">
                <p-header>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.prospectOrganizationDetails.home.search' | translate }}">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                            <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;" (click)="editRowDetails(prospectOrganization.idProspect,1)">
                                <span class="fa fa-plus"></span>
                            </button>
                        </div>
                    </form>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.prospectOrganizationDetails.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.prospectOrganizationDetails.idProspect'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idProspect}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.prospectOrganizationDetails.unitPrice'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.unitPrice | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.prospectOrganizationDetails.discount'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.discount | number: '.0-2'}}
                    </ng-template>
                </p-column> -->
                <p-column header="{{'mpmApp.prospectOrganizationDetails.person'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <div *ngIf="rowData.personId">
                            <a [routerLink]="['../person', rowData.personId  ]"> -->
                        {{rowData.person.name}}
                        <!-- </a>
                        </div> -->
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.prospectOrganizationDetails.product'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <div *ngIf="rowData.productId"> -->
                        <!-- <a [routerLink]="['../motor', rowData.productId  ]"> -->
                        {{rowData.productName}}
                        <!-- </a> -->
                        <!-- </div> -->
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.prospectOrganizationDetails.color'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <div *ngIf="rowData.colorId"> -->
                        <!-- <a [routerLink]="['../feature', rowData.colorId  ]"> -->
                        {{rowData.colorDescription}}
                        <!-- </a> -->
                        <!-- </div> -->
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.prospectOrganizationDetails.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <button pButton type="submit" [routerLink]="['../prospect-organization-details', rowData.idProspectOrganizationDetail]" icon="fa-eye" class="flat-button" [style]="{'height':'50px'}">
                        </button> -->
                        <!--  [routerLink]="['../prospect-organization-details/'+ rowData.idProspectOrganizationDetail + '/edit']" -->
                        <button pButton type="button" (click)="editRowDetails(rowData.idProspectOrganizationDetail,2)" icon="fa-pencil" class="flat-button">
                        </button>
                        <button pButton type="button" (click)="delete(rowData.idProspectOrganizationDetail)" icon="fa-remove" class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
        <div class="ui-g-12" *ngIf="!details">
            <p-panel>
                <p-header>
                    {{'mpmApp.prospectOrganizationDetails.home.createOrEditLabel' | translate}}
                </p-header>

                <p-accordion [activeIndex]="indexAccordion">
                    <p-accordionTab header="Informasi Produk">
                        <!-- <div class="form-group" [hidden]="!prospectOrganizationDetails.idProspectOrganizationDetail">
                            <label for="id" jhiTranslate="global.field.id">ID</label>
                            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="prospectOrganizationDetails.idProspectOrganizationDetail" readonly />
                        </div>
                        <div class="form-group" [hidden]="!prospectOrganizationDetails.idProspectOrganizationDetail">
                            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.idProspect" for="field_idProspect">Id Prospect</label>
                            <input type="text" class="form-control" name="idProspect" id="field_idProspect" [(ngModel)]="prospectOrganizationDetails.idProspect" />
                        </div>
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.unitPrice" for="field_unitPrice">Unit Price</label>
                            <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice" [(ngModel)]="prospectOrganizationDetails.unitPrice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                        </div>
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.discount" for="field_discount">Discount</label>
                            <input currencyMask class="form-control" name="discount" id="field_discount" [(ngModel)]="prospectOrganizationDetails.discount" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '2' }" />
                        </div>

                        <div class="form-group">
                            <label jhiTranslate="mpmApp.prospectOrganizationDetails.person" for="field_person">Person</label>
                            <select class="form-control" id="field_person" name="person" [(ngModel)]="prospectOrganizationDetails.personId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="personOption.idParty" *ngFor="let personOption of people; trackBy: trackPersonById">{{personOption.name}}</option>
                            </select>
                        </div> -->
                        <div class="form-group">
                            <label jhiTranslate="mpmApp.prospectOrganizationDetails.product" for="field_product">Product</label>
                            <select class="form-control" id="field_product" name="product" [(ngModel)]="ProspectOrganizationDetailsRow.productId">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label jhiTranslate="mpmApp.prospectOrganizationDetails.color" for="field_color">Color</label>
                            <select class="form-control" id="field_color" name="color" [(ngModel)]="ProspectOrganizationDetailsRow.colorId">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
                            </select>
                        </div>
                    </p-accordionTab>

                    <p-accordionTab header="Informasi Pelanggan - Individual">
                        <jhi-person-view [person]="ProspectOrganizationDetailsRow.person" [readonly]="false" [index]="index"></jhi-person-view>

                        <!-- <button type="button" class="btn btn-primary" (click)="openNext()">
                            <span>Next</span>
                        </button> -->
                    </p-accordionTab>
                </p-accordion>

                <p-footer>
                    <button pButton type="button" (click)="previousState()" label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
                    </button>
                    <button pButton type="button" (click)="save()" [disabled]="editForm.form.invalid || isSaving" label="{{'entity.action.save' | translate}}" icon="fa-save" class="ui-button-primary flat-label-button">
                    </button>
                </p-footer>
            </p-panel>
        </div>
    </div>

</form>